Subject: bug#31887: Modules missing to boot on VMWare

From: Taylan Kammer <[email-masked]>
Date: Thu, 21 Jun 2018 20:19:00 +0200

[email-masked] (Ludovic Courtès) writes:

> Hello Taylan,
>
> Taylan Ulrich "Bayırlı/Kammer" <[email-masked]> skribis:
>
>> Although we don't want to support non-free software, perhaps it would
>> be nice to support booting Guix on VMWare without the user needing to
>> do anything extra.
>>
>> While experimenting, I found out that if we just add the following
>> three Linux modules to the standard initrd, Guix can boot on VMWare
>> just fine: mptbase, mptscsih, mptspi
>>
>> mptspi depends on mptscsih, and both depend on mptbase, so if
>> dependencies are handled automatically, declaring mptspi should be
>> enough.
>
> Currently every module we add to the initrd is actually loaded, so we
> have to think twice before adding more.  In this case I’d rather punt.
>
> Danny and I started work a while back to load modules on demand à la
> udev, so we could revisit that decision when this is implemented.  Now,
> if that only benefits VMWare, it’s low-priority for me.

Understood and agreed. :-)

Should this bug remain open as a reminder?

> Ludo’.

Taylan